<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PacketInputAdapter Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/de2/class_packet_input_adapter.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">PacketInputAdapter Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4911176d53c24d9f4eab011d3646d853"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#a4911176d53c24d9f4eab011d3646d853">ReadBool</a> ()</td></tr>
<tr class="separator:a4911176d53c24d9f4eab011d3646d853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afba3b706b606e297f9ce431cd14439c5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#afba3b706b606e297f9ce431cd14439c5">ReadInt</a> ()</td></tr>
<tr class="separator:afba3b706b606e297f9ce431cd14439c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4bb811e8fd4720aeadf21e25014e76c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#aa4bb811e8fd4720aeadf21e25014e76c">ReadFloat</a> ()</td></tr>
<tr class="separator:aa4bb811e8fd4720aeadf21e25014e76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f8cdafa3a0701f467e2aa74316e156"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#a64f8cdafa3a0701f467e2aa74316e156">ReadString</a> ()</td></tr>
<tr class="separator:a64f8cdafa3a0701f467e2aa74316e156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6418bc34aa1102d5006edd826bbb7bd6"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#a6418bc34aa1102d5006edd826bbb7bd6">ReadVector</a> ()</td></tr>
<tr class="separator:a6418bc34aa1102d5006edd826bbb7bd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e0df94bd185e8ba13cc863b7a89e9d"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#a23e0df94bd185e8ba13cc863b7a89e9d">ReadMatrixAsQuaternionVector</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="separator:a23e0df94bd185e8ba13cc863b7a89e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acac6a0e54d66656b491f8b417a88b7df"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#acac6a0e54d66656b491f8b417a88b7df">ReadIntAsByte</a> ()</td></tr>
<tr class="separator:acac6a0e54d66656b491f8b417a88b7df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acee3a0882b227b998e56faf2a52fdf5a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#acee3a0882b227b998e56faf2a52fdf5a">ReadIntAsUByte</a> ()</td></tr>
<tr class="separator:acee3a0882b227b998e56faf2a52fdf5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8019dc3003746d227ca6eceb66588ae"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#ac8019dc3003746d227ca6eceb66588ae">ReadIntAsHalf</a> ()</td></tr>
<tr class="separator:ac8019dc3003746d227ca6eceb66588ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96f8e6835feda606329f46e80ae88a7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#ac96f8e6835feda606329f46e80ae88a7">ReadIntAsUHalf</a> ()</td></tr>
<tr class="separator:ac96f8e6835feda606329f46e80ae88a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a0c7e8ff020a1624cdde9324ec9cd61"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#a4a0c7e8ff020a1624cdde9324ec9cd61">ReadFloatAsByte</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> min, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max)</td></tr>
<tr class="separator:a4a0c7e8ff020a1624cdde9324ec9cd61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa52b21f4b0f266ef00665da39d8df295"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de2/class_packet_input_adapter.html#aa52b21f4b0f266ef00665da39d8df295">ReadFloatAsHalf</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> min, <a class="el" href="../../d4/dc3/classfloat.html">float</a> max)</td></tr>
<tr class="separator:aa52b21f4b0f266ef00665da39d8df295"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00120">120</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4911176d53c24d9f4eab011d3646d853" name="a4911176d53c24d9f4eab011d3646d853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4911176d53c24d9f4eab011d3646d853">&#9670;&#160;</a></span>ReadBool()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> PacketInputAdapter::ReadBool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4bb811e8fd4720aeadf21e25014e76c" name="aa4bb811e8fd4720aeadf21e25014e76c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4bb811e8fd4720aeadf21e25014e76c">&#9670;&#160;</a></span>ReadFloat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> PacketInputAdapter::ReadFloat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a0c7e8ff020a1624cdde9324ec9cd61" name="a4a0c7e8ff020a1624cdde9324ec9cd61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a0c7e8ff020a1624cdde9324ec9cd61">&#9670;&#160;</a></span>ReadFloatAsByte()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> PacketInputAdapter::ReadFloatAsByte </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa52b21f4b0f266ef00665da39d8df295" name="aa52b21f4b0f266ef00665da39d8df295"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa52b21f4b0f266ef00665da39d8df295">&#9670;&#160;</a></span>ReadFloatAsHalf()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> PacketInputAdapter::ReadFloatAsHalf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afba3b706b606e297f9ce431cd14439c5" name="afba3b706b606e297f9ce431cd14439c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afba3b706b606e297f9ce431cd14439c5">&#9670;&#160;</a></span>ReadInt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PacketInputAdapter::ReadInt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acac6a0e54d66656b491f8b417a88b7df" name="acac6a0e54d66656b491f8b417a88b7df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acac6a0e54d66656b491f8b417a88b7df">&#9670;&#160;</a></span>ReadIntAsByte()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PacketInputAdapter::ReadIntAsByte </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8019dc3003746d227ca6eceb66588ae" name="ac8019dc3003746d227ca6eceb66588ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8019dc3003746d227ca6eceb66588ae">&#9670;&#160;</a></span>ReadIntAsHalf()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PacketInputAdapter::ReadIntAsHalf </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acee3a0882b227b998e56faf2a52fdf5a" name="acee3a0882b227b998e56faf2a52fdf5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acee3a0882b227b998e56faf2a52fdf5a">&#9670;&#160;</a></span>ReadIntAsUByte()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PacketInputAdapter::ReadIntAsUByte </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac96f8e6835feda606329f46e80ae88a7" name="ac96f8e6835feda606329f46e80ae88a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac96f8e6835feda606329f46e80ae88a7">&#9670;&#160;</a></span>ReadIntAsUHalf()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PacketInputAdapter::ReadIntAsUHalf </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a23e0df94bd185e8ba13cc863b7a89e9d" name="a23e0df94bd185e8ba13cc863b7a89e9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23e0df94bd185e8ba13cc863b7a89e9d">&#9670;&#160;</a></span>ReadMatrixAsQuaternionVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void PacketInputAdapter::ReadMatrixAsQuaternionVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mat</em>[4]</td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a64f8cdafa3a0701f467e2aa74316e156" name="a64f8cdafa3a0701f467e2aa74316e156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64f8cdafa3a0701f467e2aa74316e156">&#9670;&#160;</a></span>ReadString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PacketInputAdapter::ReadString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6418bc34aa1102d5006edd826bbb7bd6" name="a6418bc34aa1102d5006edd826bbb7bd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6418bc34aa1102d5006edd826bbb7bd6">&#9670;&#160;</a></span>ReadVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> PacketInputAdapter::ReadVector </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/1_Core/proto/<a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/de2/class_packet_input_adapter.html">PacketInputAdapter</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
